Bug 510723 - RFE : sat activation fail when rhn.webqa is slow, it should wait longer or try again
RFE : sat activation fail when rhn.webqa is slow, it should wait longer or tr...
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
low Severity low
: ---
: ---
Assigned To: Devan Goodwin
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2009-07-10 09:06 EDT by Petr Sklenar
Modified: 2014-07-04 09:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-04 09:28:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2009-07-10 09:06:22 EDT
Description of problem:
when rhn.webqa is very slow then installation script fails after short time. It should try activation again.

Version-Release number of selected component (if applicable):
sat-5.3.0-RHEL5-re20090702-i386

How reproducible:
sometime 
(today always ..)

Steps to Reproduce:
1. rhn.webqa is very very slow
2. ./install.pl --answer-file=smth.conf 
# (rhn-parent = satellite.rhn.webqa.redhat.com)
3. during satellite activation it fails after +- 30 sec

  
Actual results:

There was a problem activating the satellite: Remote activation failure.

tail /var/log/rhn/rhn_server_satellite.log
2009/07/10 08:36:12 -04:00 Red Hat Network Satellite - live synchronization
2009/07/10 08:36:12 -04:00    url: https://satellite.rhn.webqa.redhat.com
2009/07/10 08:36:12 -04:00    debug/output level: 1
2009/07/10 08:38:12 -04:00 
2009/07/10 08:38:12 -04:00 
ERROR: there was a problem synchronizing the information.
       Error message: Timeout Exception


When I installed satellite in disconnected mode then I try activation via 'rhn-satellite-activate' - it passed. It seems that rhn-satellite-activate waits longer for rhn-parent.

Expected results:
it should wait bit longer or try activation again.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.